%define svn		0
%define rel		1
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define	dirname		synce-gvfs
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define dirname		%name-%version
%endif

%define __libtoolize    /bin/true

Name:		synce-gvfs
Summary:	Access Windows Mobile device filesystems via GVFS
Version:	0.2.2
Release:	%{release}
License:	MIT
Source0:	http://downloads.sourceforge.net/synce/%{distname}
URL:		http://synce.sourceforge.net/
Group:		Communications
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libsynce-devel
BuildRequires:	librapi-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libgvfs-devel
BuildRequires:	intltool
%if svn
BuildRequires:	gnome-common
%endif
Requires:	gvfs

%description
Synce-gvfs is part of the SynCE project. GVFS is the GNOME virtual file
system - an infrastructure for accessing various things as if they were
simply a local filesystem. This GVFS backend lets you access the
contents of Windows Mobile-based mobile devices via GVFS - just browse
to synce:/// in Nautilus or any other GVFS-compliant application.

%prep
%setup -q -n %{dirname}

%build

%if %svn
./autogen.sh
%endif
%configure2_5x --disable-mime-update
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post
%update_mime_database

%postun
%clean_mime_database

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog 
%{_libdir}/gvfsd-*
%{_datadir}/gvfs/mounts/synce.mount
%{_iconsdir}/gnome/*/apps/*.png
%{_datadir}/mime/packages/synce-gvfs.xml





%changelog
* Sat May 09 2009 travisn000 <travisn000@gmail.com> 0.2.2-1pclos2009
- Rebuild for PCLOS

* Mon Mar 02 2009 Emmanuel Andry <eandry@mandriva.org> 0.2.2-1mdv2009.1
+ Revision: 347296
- New version 0.2.2
- drop source 1
- drop patches
- update files list

